sc::DistSCMatrixListSubblockIter(3)

NAME
sc::DistSCMatrixListSubblockIter -

SYNOPSIS

Inherits sc::SCMatrixListSubblockIter'.

  Public Member Functions
DistSCMatrixListSubblockIter (Access, const Ref< SCMatrixBlockList > &locallist, const Ref< MessageGrp > &grp)
void begin ()
Start at the beginning'.
void next ()
Proceed to the next block'.

  Protected Member Functions
void maybe_advance_list ()
void advance_list ()

  Protected Attributes
Ref< MessageGrp > grp_
StateSend out_
StateRecv in_
int step_
Ref< SCMatrixBlockList > locallist_

Author

Generated automatically by Doxygen for MPQC from the source code'.